Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.WorkItemOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.WorkItem, JBPMMessages.WorkItem.Builder

Enclosing class:
  JBPMMessages

    public static interface JBPMMessages.WorkItemOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`long` | `getId()`
`String` | `getName()`
`long` | `getProcessInstancesId()`
`int` | `getState()`
`JBPMMessages.Variable` | `getVariable(int index)`
`int` | `getVariableCount()`
`List<JBPMMessages.Variable>` | `getVariableList()`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()`
`boolean` | `hasId()`
`boolean` | `hasName()`
`boolean` | `hasProcessInstancesId()`
`boolean` | `hasState()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasId

    boolean hasId()

### getId

    long getId()

### hasProcessInstancesId

    boolean hasProcessInstancesId()

### getProcessInstancesId

    long getProcessInstancesId()

### hasName

    boolean hasName()

### getName

    String getName()

### hasState

    boolean hasState()

### getState

    int getState()

### getVariableList

    List<JBPMMessages.Variable> getVariableList()

### getVariable

    JBPMMessages.Variable getVariable(int index)

### getVariableCount

    int getVariableCount()

### getVariableOrBuilderList

    List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

### getVariableOrBuilder

    JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.